
import { CommonService } from '~/plugins/api/common';

export default () => ({
    recommendConsultantList(){
        const debugData = [
            {
                id: 0,
                name: '張小美',
                img: 'https://randomuser.me/api/portraits/women/31.jpg',
                new: false,
                tags: ['財務規劃', '資產轉移'],
                satisfaction: 4.8,
                reserve: false
            },
            {
                id: 1,
                name: '蔣帥哥',
                img: 'https://randomuser.me/api/portraits/men/32.jpg',
                new: true,
                tags: [],
                satisfaction: 4,
                reserve: false
            },
            {
                id: 2,
                name: '林美女',
                img: 'https://randomuser.me/api/portraits/women/33.jpg',
                new: false,
                tags: ['財務規劃', '資產轉移'],
                satisfaction: 5,
                reserve: true
            },
            {
                id: 3,
                name: '蔡美眉',
                img: 'https://randomuser.me/api/portraits/women/34.jpg',
                new: true,
                tags: ['財務規劃', '資產轉移'],
                satisfaction: 4.3,
                reserve: false
            },
            {
                id: 4,
                name: '張小美',
                img: 'https://randomuser.me/api/portraits/women/35.jpg',
                state: '忙碌',
                tags: [],
                satisfaction: 4.8,
                reserve: true
            },
            {
                id: 5,
                name: '蔣帥哥',
                img: 'https://randomuser.me/api/portraits/men/36.jpg',
                new: true,
                tags: ['財務規劃', '資產轉移'],
                satisfaction: 4,
                reserve: false
            },
            {
                id: 6,
                name: '林美女',
                img: 'https://randomuser.me/api/portraits/women/37.jpg',
                state: '忙碌',
                tags: [],
                satisfaction: 5,
                reserve: false
            },
            {
                id: 7,
                name: '蔡美眉',
                img: 'https://randomuser.me/api/portraits/women/38.jpg',
                new: false,
                tags: [],
                satisfaction: 4.3,
                reserve: true
            }
        ]
        return CommonService.prototype.withDebugData(debugData, 'https://randomuser.me/api/')
    }
})

export interface Agents {
    id: number,
    name: string,
    img: string,
    new: boolean,
    satisfaction: number,
    tags: string[],
    reserve: boolean
  }